> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tasks



## OpenAPI

````yaml /openapi/workshop.json get /v1/workshop/tasks/{task_id}/
openapi: 3.0.3
info:
  title: Yume API — Мастерская
  version: 1.0.0
  description: Работы, ремонт и сервисное обслуживание.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/workshop/tasks/{task_id}/:
    get:
      tags:
        - tasks
      summary: Get tasks
      operationId: tasks_retrieve
      parameters:
        - in: path
          name: task_id
          schema:
            type: integer
          required: true
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkshopTask'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    WorkshopTask:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        client:
          allOf:
            - $ref: '#/components/schemas/BaseClient'
          readOnly: true
        inventory:
          allOf:
            - $ref: '#/components/schemas/CarInventory'
          readOnly: true
        resources:
          type: array
          items:
            $ref: '#/components/schemas/WorkshopResource'
          readOnly: true
        services:
          type: array
          items:
            $ref: '#/components/schemas/WorkshopService'
          readOnly: true
        images:
          type: array
          items:
            $ref: '#/components/schemas/ImageAttachment'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        name:
          type: string
          maxLength: 255
        type:
          allOf:
            - $ref: '#/components/schemas/TypeB28Enum'
          minimum: -32768
          maximum: 32767
        status:
          allOf:
            - $ref: '#/components/schemas/StatusEnum'
          minimum: -32768
          maximum: 32767
        statement_type:
          allOf:
            - $ref: '#/components/schemas/StatementTypeEnum'
          minimum: -32768
          maximum: 32767
        number:
          type: string
          nullable: true
          maxLength: 255
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          readOnly: true
        service_price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          readOnly: true
        resource_price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          readOnly: true
        paid_price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        finished_at:
          type: string
          format: date-time
          nullable: true
        ordering:
          type: integer
          maximum: 2147483647
          minimum: 0
        extra: {}
        tenant:
          type: integer
        stage:
          type: integer
          nullable: true
        created_by:
          type: integer
          readOnly: true
          nullable: true
        worker:
          type: integer
          nullable: true
        request:
          type: integer
          nullable: true
        request_inventory:
          type: integer
          nullable: true
        rental_point:
          type: integer
          nullable: true
      required:
        - client
        - created_at
        - created_by
        - id
        - images
        - inventory
        - name
        - price
        - rental_point
        - resource_price
        - resources
        - service_price
        - services
        - updated_at
    BaseClient:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          title: Название
          maxLength: 512
        type:
          allOf:
            - $ref: '#/components/schemas/BaseClientTypeEnum'
          title: Тип
          minimum: 0
          maximum: 2147483647
        avatar:
          type: string
          format: uri
          nullable: true
          title: Фото
        agreement_id:
          type: string
          readOnly: true
          nullable: true
        signed:
          type: boolean
        sign_date:
          type: string
          format: date
          nullable: true
        sign_expires:
          type: string
          format: date
          nullable: true
        phone:
          type: string
          title: Телефон
          maxLength: 32
        email:
          type: string
          format: email
          nullable: true
          maxLength: 254
        legal_type:
          nullable: true
          title: Форма организации
          minimum: 0
          maximum: 2147483647
          oneOf:
            - $ref: '#/components/schemas/LegalTypeEnum'
            - $ref: '#/components/schemas/NullEnum'
        extra:
          title: Доп. данные
      required:
        - agreement_id
        - id
        - name
        - phone
    CarInventory:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        group:
          type: integer
          nullable: true
          title: Группа инвентаря
        name:
          type: string
          title: Название
          maxLength: 255
        unique_id:
          type: string
          nullable: true
          title: Артикул
          maxLength: 255
        category:
          type: integer
          nullable: true
          title: Категория
        image:
          type: string
          format: uri
          nullable: true
          title: Изображение
        extra:
          title: Доп. данные
        subleases:
          type: array
          items:
            $ref: '#/components/schemas/InventorySublease'
          readOnly: true
        state:
          type: integer
          nullable: true
          title: Состояние
        disabled:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/DisabledEnum'
            - $ref: '#/components/schemas/NullEnum'
        rental_point:
          type: integer
          nullable: true
          title: Точка проката
        car:
          allOf:
            - $ref: '#/components/schemas/InventoryCar'
          readOnly: true
      required:
        - car
        - id
        - name
        - subleases
    WorkshopResource:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        inventory:
          allOf:
            - $ref: '#/components/schemas/BaseInventory'
          readOnly: true
        inventory_group:
          allOf:
            - $ref: '#/components/schemas/BaseInventoryGroup'
          readOnly: true
        resource:
          allOf:
            - $ref: '#/components/schemas/Resource'
          readOnly: true
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        inventory_group_count:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        approved:
          type: boolean
        extra: {}
        tenant:
          type: integer
        tarif:
          type: integer
          nullable: true
        task:
          type: integer
          readOnly: true
        approved_by:
          type: integer
          nullable: true
      required:
        - created_at
        - id
        - inventory
        - inventory_group
        - resource
        - task
        - updated_at
    WorkshopService:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        service:
          allOf:
            - $ref: '#/components/schemas/Service'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        tarif_price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        tarif_duration:
          type: string
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        extra: {}
        tenant:
          type: integer
        task:
          type: integer
          readOnly: true
        tarif:
          type: integer
          nullable: true
      required:
        - created_at
        - id
        - service
        - task
        - updated_at
    ImageAttachment:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        image:
          type: string
          format: uri
          nullable: true
        thumb:
          type: string
          format: uri
          readOnly: true
          nullable: true
        name:
          type: string
          readOnly: true
          nullable: true
        extension:
          type: string
          readOnly: true
        hash:
          type: string
          readOnly: true
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        created_by:
          type: integer
          readOnly: true
          nullable: true
        content_type:
          type: string
          title: Имя класса модели
        object_id:
          type: integer
          maximum: 9223372036854776000
          minimum: 0
          format: int64
        type:
          type: string
          nullable: true
          maxLength: 255
      required:
        - content_type
        - created_at
        - created_by
        - extension
        - hash
        - id
        - name
        - object_id
        - thumb
    TypeB28Enum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Внутренняя
        * `1` - Внешняя
    StatusEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
      type: integer
      description: |-
        * `0` - Новый
        * `1` - В работе
        * `2` - Завершено
        * `3` - Архив
    StatementTypeEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Расход
        * `1` - Приход
    BaseClientTypeEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Физ. лицо
        * `1` - Юр. лицо
    LegalTypeEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
      type: integer
      description: |-
        * `0` - ИП
        * `1` - ТОО
        * `2` - АО
        * `3` - ПК
    NullEnum:
      enum:
        - null
    InventorySublease:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        inventory:
          type: integer
          title: Инвентарь
        user:
          type: integer
          title: Владелец субаренды
        percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
          title: Процент субаренды
        start_at:
          type: string
          format: date-time
          nullable: true
          title: Начало периода
        end_at:
          type: string
          format: date-time
          nullable: true
          title: Конец периода
        is_current:
          type: boolean
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
      required:
        - created_at
        - id
        - inventory
        - is_current
        - percent
        - user
    DisabledEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - удалить
        * `1` - Архив
        * `2` - Списано
    InventoryCar:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        type:
          $ref: '#/components/schemas/InventoryCarTypeEnum'
        brand:
          type: string
          nullable: true
          maxLength: 255
        model:
          type: string
          nullable: true
          maxLength: 255
        number:
          type: string
          nullable: true
          maxLength: 255
        tech_passport:
          type: string
          nullable: true
          maxLength: 255
        serial:
          type: string
          nullable: true
          maxLength: 255
        vin:
          type: string
          nullable: true
          maxLength: 18
        extra: {}
      required:
        - id
    BaseInventory:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        group:
          type: integer
          nullable: true
          title: Группа инвентаря
        name:
          type: string
          title: Название
          maxLength: 255
        unique_id:
          type: string
          nullable: true
          title: Артикул
          maxLength: 255
        category:
          type: integer
          nullable: true
          title: Категория
        image:
          type: string
          format: uri
          nullable: true
          title: Изображение
        extra:
          title: Доп. данные
        subleases:
          type: array
          items:
            $ref: '#/components/schemas/InventorySublease'
          readOnly: true
        state:
          type: integer
          nullable: true
          title: Состояние
        disabled:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/DisabledEnum'
            - $ref: '#/components/schemas/NullEnum'
        rental_point:
          type: integer
          nullable: true
          title: Точка проката
      required:
        - id
        - name
        - subleases
    BaseInventoryGroup:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          nullable: true
          title: Название
          maxLength: 512
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        category:
          type: integer
          nullable: true
          title: Категория
        unit_price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Цена за единицу
        unit_count:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Количество единиц
        unit_type:
          allOf:
            - $ref: '#/components/schemas/UnitTypeEnum'
          title: Единица измерения
        unit_sum:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Итого за единицы
        image:
          type: string
          format: uri
          nullable: true
          title: Изображение
        unique_id:
          type: string
          nullable: true
          title: Артикул
          maxLength: 255
        barcode:
          type: string
          nullable: true
          title: Штрихкод
          maxLength: 255
        extra:
          title: Доп. данные
        filters:
          type: array
          items:
            type: string
            maxLength: 32
          nullable: true
          title: Фильтры
        points:
          type: array
          items:
            type: integer
            maximum: 2147483647
            minimum: -2147483648
          title: Баллы
        published:
          type: boolean
          title: Опубликовано
        type:
          allOf:
            - $ref: '#/components/schemas/BaseInventoryGroupTypeEnum'
          title: Тип
          minimum: 0
          maximum: 32767
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        lifetime:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
          title: Срок службы, дней
        deleted:
          type: boolean
          readOnly: true
      required:
        - created_at
        - deleted
        - id
        - updated_at
    Resource:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 255
        type:
          allOf:
            - $ref: '#/components/schemas/TypeEadEnum'
          minimum: -32768
          maximum: 32767
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        count:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        count_left:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
      required:
        - id
        - name
    Service:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        disabled:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/DisabledEnum'
            - $ref: '#/components/schemas/NullEnum'
        deleted:
          type: boolean
          readOnly: true
        tarifs:
          type: array
          items:
            $ref: '#/components/schemas/ServiceTarifs'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        name:
          type: string
          nullable: true
          title: Название
          maxLength: 255
        type:
          allOf:
            - $ref: '#/components/schemas/ServiceTypeEnum'
          title: Тип
          minimum: 0
          maximum: 2147483647
        unique_id:
          type: string
          nullable: true
          title: Артикул
          maxLength: 255
        bonus:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
          title: Бонусы
        extra:
          title: Доп. данные
        slug:
          type: string
          nullable: true
          title: Адрес страницы
          maxLength: 50
          pattern: ^[-a-zA-Z0-9_]+$
        published:
          type: boolean
          title: Опубликовано
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        image:
          type: string
          format: uri
          nullable: true
          title: Изображение
        tenant:
          type: integer
        category:
          type: integer
          nullable: true
          title: Категория
        discount:
          type: integer
          nullable: true
          title: Скидка
      required:
        - created_at
        - deleted
        - id
        - tarifs
        - updated_at
    InventoryCarTypeEnum:
      enum:
        - CAR
        - SCOOTER
        - MOTORCYCLE
      type: string
      description: |-
        * `CAR` - Автомобиль
        * `SCOOTER` - Электросамокат
        * `MOTORCYCLE` - Мотоцикл/Мопед
    UnitTypeEnum:
      enum:
        - litre
        - kg
        - g
        - ml
        - piece
        - m3
      type: string
      description: |-
        * `litre` - Литр
        * `kg` - Килограмм
        * `g` - Грамм
        * `ml` - Миллилитр
        * `piece` - Штука
        * `m3` - Кубический метр
    BaseInventoryGroupTypeEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Аренда
        * `1` - Продажа
    TypeEadEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Количество
        * `1` - Сумма
    ServiceTarifs:
      type: object
      description: >-
        Тарифы услуг переехали в общую таблицу, но интерфейс услуги знает поле
        `duriation`.
      properties:
        id:
          type: integer
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        tenant:
          type: integer
        service:
          type: integer
        name:
          type: string
          title: Название
          maxLength: 255
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        duriation:
          type: integer
          nullable: true
        one_time_payment:
          type: boolean
          title: Разовая оплата
        published:
          type: boolean
          title: Опубликовано
        order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          title: Порядок
      required:
        - created_at
        - id
        - service
        - updated_at
    ServiceTypeEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
      type: integer
      description: |-
        * `0` - Доставка
        * `1` - Не выбрано
        * `2` - Доставка обратно
        * `3` - Доставка туда и обратно
        * `4` - Сервис
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````